@charset "utf-8";

/* ========================================
   共通：横並びグリッド
======================================== */
/* ボックス共通 */
.list-grid .list {
}

/* 画像 */
.list-grid .list figure {
  margin: 0rem;
}

.list-grid .list figure img {
  display: block;       /* 余計な隙間防止 */
  width: 100%;
  height: auto;
}

/* テキスト */
.list-grid .list p {
  line-height: 1.5;
  margin: 1rem;
}

/* キャプション（使う場合のみ有効） */
.list-grid .list figure figcaption {
  font-size: 0.9rem;
  line-height: 1.4;
  margin-top: 0.3rem;
  text-align: center;
}



/* 列数指定 */
@media screen and (min-width:700px) {

  .grid-2 {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;
  }

  .grid-3 {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem;
  }
	
  /* ★追加 */
  .grid-2-21 {
    display: grid;
    grid-template-columns: 2fr 1fr;
    gap: 1rem;
  }
}
}



/* 枠ありタイプ */
.with-border .list {
  border: 1px solid #ccc;
  border-radius: 5px;
}

/* 枠なしタイプ（特に何もしなくてOK） */
.no-border .list {
  border: none;
}



/* 背景ありタイプ */
.with-bg .list {
  background: #fff;
}



/* 背景ありタイプ */
.list-grid .list h2 {
  margin-bottom: 0.5rem;
}

.list-grid .list p {
  line-height: 1.5;
}
